"use strict";
const common_vendor = require("../../../../common/vendor.js");
const pages_public_asset_houses_method = require("../method.js");
const pages_public_asset_houses_model = require("../model.js");
require("../../../../common/libraries/request.js");
require("../../../../common/store/useWeAppAuthStore.js");
require("../../../../gen/Apis.js");
require("../../../../common/store/useWatermarkStore.js");
require("../../../../common/store/useWorkStore.js");
require("../../../../common/libraries/apiLoading.js");
require("../../../../common/libraries/naviHelper.js");
require("../../../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  (_easycom_hs_empty2 + _easycom_uni_icons2)();
}
const _easycom_hs_empty = () => "../../../../components/hs-empty/hs-empty.js";
const _easycom_uni_icons = () => "../../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  (_easycom_hs_empty + _easycom_uni_icons)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "MeProjectItem",
  setup(__props) {
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h;
      return common_vendor.e({
        a: !((_c = (_b = (_a = common_vendor.unref(pages_public_asset_houses_model.useModel)) == null ? void 0 : _a.dataList) == null ? void 0 : _b.value) == null ? void 0 : _c.length)
      }, !((_f = (_e = (_d = common_vendor.unref(pages_public_asset_houses_model.useModel)) == null ? void 0 : _d.dataList) == null ? void 0 : _e.value) == null ? void 0 : _f.length) ? {} : {}, {
        b: common_vendor.f((_h = (_g = common_vendor.unref(pages_public_asset_houses_model.useModel)) == null ? void 0 : _g.dataList) == null ? void 0 : _h.value, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.name),
            b: common_vendor.t(i == null ? void 0 : i.province),
            c: common_vendor.t(i == null ? void 0 : i.city),
            d: common_vendor.t(i == null ? void 0 : i.area),
            e: common_vendor.t(i == null ? void 0 : i.street),
            f: common_vendor.t(i == null ? void 0 : i.address),
            g: "3e14d908-1-" + i0,
            h: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(pages_public_asset_houses_method.method)) == null ? void 0 : _a2.handleSelectedProject(i);
            }, `item_${index}`),
            i: `item_${index}`
          };
        }),
        c: common_vendor.p({
          type: "arrow-right",
          size: "18",
          color: "#0082FA"
        })
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-3e14d908"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/public/asset_houses/components/MeProjectItem.vue"]]);
wx.createComponent(Component);
